[PVE-User] Python problem with upgrade to proxmoxVE6.3/ CEPH Nautilus 14.2.15

Marco M. Gabriel marcomgabriel at gmail.com
Fri Nov 27 17:45:47 CET 2020


Same problem here after upgrading from 6.2.15 to 6.3 on a test cluster.

But the problem disappeared suddenly when I upgraded Ceph from
Nautilus to Octopus as well. Not sure if this is the reason why it
disappeared and I wouldn't recommend doing this on a production
cluster while ceph is in HEALTH_ERR.

It would be fine if anyone could test and confirm that an upgrade to
Ceph Octopus resolves the issue.

Kind regards,
Marco

Am Fr., 27. Nov. 2020 um 12:54 Uhr schrieb Jean-Luc Oms <jean-luc.oms at lirmm.fr>:
>
> Bonjour,
>
> Upgrading to last Proxmox VE / Ceph nautilus from the last 6.2 proxmox
> VE seems to introduce a python 2/3 version problem, dashboard healt
> stops working.
>
> root at ceph1:/usr/bin# ceph health
> HEALTH_ERR Module 'dashboard' has failed: ('invalid syntax',
> ('/usr/share/ceph/mgr/dashboard/controllers/orchestrator.py', 34, 11,
> '    result: dict = {}\n'))
>
> This syntax was introduced in 3.6, and using strace it seems python 2.7
> is used.
>
> Any option to resolve this ? everything was ok in 6.2-15.
>
> Thanks
>
>
> --
> Jean-Luc Oms
> /STI-ReseauX <https://rx.lirmm.fr>- LIRMM - CNRS/UM/
> +33 4 67 41 85 93 <tel:+33-467-41-85-93> / +33 6 32 01 04 17
> <tel:+33-632-01-04-17>
> _______________________________________________
> pve-user mailing list
> pve-user at lists.proxmox.com
> https://lists.proxmox.com/cgi-bin/mailman/listinfo/pve-user



More information about the pve-user mailing list